CMSIS-Driver: WiFi DHCPv6 Mode

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi DHCPv6 Mode
WiFi Management

Specifies IPv6 Dynamic Host Configuration Protocol (DHCP) Mode. More...

## Macros

#define | ARM_WIFI_IP6_DHCP_OFF 0U
| Static Host Configuration (default) More...
#define | ARM_WIFI_IP6_DHCP_STATELESS 1U
| Dynamic Host Configuration stateless DHCPv6. More...
#define | ARM_WIFI_IP6_DHCP_STATEFULL 2U
| Dynamic Host Configuration statefull DHCPv6. More...

## Description

Specifies IPv6 Dynamic Host Configuration Protocol (DHCP) Mode.

The WiFi DHCPv6 mode defines the DHCP mode in IPv6.

## Macro Definition Documentation

#define ARM_WIFI_IP6_DHCP_OFF 0U

Static Host Configuration (default)

In the static host configuration mode, the IPv6 address, the default gateway address, and the addresses of DNS servers are statically configured from the preset values.

See Also
  WiFi DHCPv6 Mode

#define ARM_WIFI_IP6_DHCP_STATELESS 1U

Dynamic Host Configuration stateless DHCPv6.

In the stateless DHCP configuration mode, the client obtains only extended information from a DHCPv6 server, such as DNS server addresses. Stateless auto-configuration of IPv6 allows the client device to self configure it's IPv6 addresses and routing based on the router advertisements.

See Also
  WiFi DHCPv6 Mode

#define ARM_WIFI_IP6_DHCP_STATEFULL 2U

Dynamic Host Configuration statefull DHCPv6.

In the stateful DHCP configuration mode, the client connects to a DHCPv6 server for a leased IPv6 address and DNS server addresses.

See Also
  WiFi DHCPv6 Mode